Subject: bug#48502: closed (Re: bug#48502: [PATCH 0/1] gnu: luakit: Update to 2.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 May 2021 21:38:02 +0000

Your bug report

#48502: [PATCH 0/1] gnu: luakit: Update to 2.3.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48502: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48502
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48502: [PATCH 0/1] gnu: luakit: Update to 2.3.
From: Ludovic Courtès <[email-masked]>
To: Raphaël Mélotte <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 May 2021 23:37:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Raphaël Mélotte <[email-masked]> skribis:

> * gnu/packages/web-browsers.scm (luakit): Update to 2.3
> [arguments]: Add 'set-version' phase.

[...]

> +         (add-before 'build 'set-version
> +           (lambda _
> +             (setenv "VERSION_FROM_GIT" ,(package-version luakit))

I changed this to (package-version this-package), which works also when
inheriting from the package, and applied.

Thanks!

Ludo’.

Subject: [PATCH 0/1] gnu: luakit: Update to 2.3.
From: Raphaël Mélotte <[email-masked]>
To: [email-masked]
Cc: Raphaël Mélotte <[email-masked]>
Date: Tue, 18 May 2021 18:47:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

While updating luakit to 2.3 I noticed the version wasn't detected properly at
built-time (it's supposed to either use git-describe or a version embedded in
the release tarball).

Since we build from the git repository, I added a phase to set the version to
manually.

Raphaël Mélotte (1):
  gnu: luakit: Update to 2.3.

 gnu/packages/web-browsers.scm | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

-- 
2.31.1